package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.ParkingAuthorize;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-22 14:02
 */
public interface ParkingAuthorizeService {
    ParkingAuthorize get(String id);
    boolean exist(String id);
    int insert(ParkingAuthorize model);
    int update(ParkingAuthorize model);
    int delete(String id);
    List<ParkingAuthorize> list();
    Page<ParkingAuthorize> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    ParkingAuthorize findByAuthorizedCompanyId(String companyId);
}
